package com.gyee.alarm.service.auto;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gyee.alarm.model.auto.ProEconAlarmConfiguration;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.alarm.model.auto.ProEconAlarmRule;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 报警配置表 服务类
 * </p>
 *
 * @author shilin
 * @since 2023-06-19
 */
public interface IProEconAlarmConfigurationService extends IService<ProEconAlarmConfiguration> {


    public IPage<ProEconAlarmConfiguration> pageQueryAll(Page page,
                                         String description,
                                         String wpId,
                                         String modelId,String alarmType);

    public void inital(ProEconAlarmConfiguration alarm) throws Exception;
}
