package com.gyee.alarm;

import com.gyee.alarm.service.AlarmBtService;
import com.gyee.alarm.service.AlarmCtService;
import com.gyee.alarm.service.AlarmInService;
import com.gyee.alarm.service.AlarmWtService;
import com.gyee.alarm.util.SpringUtils;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.transaction.annotation.Transactional;


@SpringBootApplication
@MapperScan("com.gyee.alarm.mapper")
public class AlarmMain {
    public static void main(String[] args) throws Exception {
        SpringApplication.run(AlarmMain.class, args);

//        AlarmBtService alarmBtService= SpringUtils.getBean("alarmBtService");
//        AlarmWtService alarmWtService= SpringUtils.getBean("alarmWtService");
        AlarmCtService alarmCtService= SpringUtils.getBean("alarmCtService");
//
        alarmCtService.createSuperTable();
        alarmCtService.initalCtAlarm();
//
//
//
//
//        alarmWtService.createSuperTable();
//        alarmWtService.initalWtAlarm();
//
////        alarmBtService.createSuperTable();
////        alarmBtService.initalBtAlarm();

        System.out.println("完成");
    }
}
