package com.gyee.alarm.service.auto.impl;

import com.gyee.alarm.model.auto.ProEconEarlyReportAlarm;
import com.gyee.alarm.mapper.auto.ProEconEarlyReportAlarmMapper;
import com.gyee.alarm.model.auto.ProEconEarlyReportWt;
import com.gyee.alarm.service.auto.IProEconEarlyReportAlarmService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.alarm.util.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 预警报告报警 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2023-09-05
 */
@Service
public class ProEconEarlyReportAlarmServiceImpl extends ServiceImpl<ProEconEarlyReportAlarmMapper, ProEconEarlyReportAlarm> implements IProEconEarlyReportAlarmService {

    @Resource
   private ProEconEarlyReportAlarmMapper proEconEarlyReportAlarmMapper;

    public List<ProEconEarlyReportAlarm> findByWindturbineReportId(String windturbineReportId)
    {
        List<ProEconEarlyReportAlarm> ls=new ArrayList<>();
        if(StringUtils.notEmp(windturbineReportId))
        {
            ls= proEconEarlyReportAlarmMapper.findByWindturbineReportId(windturbineReportId);
        }
        return ls;
    }
}
