package com.gyee.alarm.service.auto;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.alarm.init.CacheContext;
import com.gyee.alarm.model.auto.ProEconAlarmPlan;
import com.gyee.alarm.model.auto.ProEconAlarmRule;
import com.gyee.alarm.model.vo.AlarmConfigurationVo;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author shilin
 * @since 2024-10-28
 */
public interface IProEconAlarmPlanService extends IService<ProEconAlarmPlan> {


   public  List<ProEconAlarmPlan>  alarmPlanlistById(String alarmId) ;

   void  updatePlanlistById(String alarmId,String planIds) ;

   public int saveAndUpdateAlertrule(ProEconAlarmPlan alarmRule) throws Exception;


   public boolean deleteAlertrule( List<String> idls);

   public IPage<ProEconAlarmPlan> pageQueryAll(Page page, String name,String types);

}
