package com.gyee.alarm.service.auto;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gyee.alarm.model.auto.ProEconShutdownEvent2;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.alarm.model.vo.ShutdownEventVo;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 停机事件2 服务类
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
public interface IProEconShutdownEvent2Service extends IService<ProEconShutdownEvent2> {

//    public IPage<ProEconShutdownEvent2> queryShutdownEvent2(String wpId, String wtId, String description, String begin, String end, Integer pageNum, Integer pageSize,String type,String modelId) ;

    public Map<String,Object> queryShutdownEvent2(String wpId, String wtId, String description, String begin, String end, Integer pageNum, Integer pageSize, String type, String modelId) ;

        public List<ShutdownEventVo> queryShutdownEvent2ByType(String wpId, String modelId, Date begin, Date end);


    public List<ShutdownEventVo> queryShutdownEvent2ByDay(String wpId,String modelId,Date begin, Date end);


    public List<ShutdownEventVo> queryShutdownEvent2ByMonth(String wpId,String modelId,Date begin, Date end);


    public  List<ShutdownEventVo> queryShutdownEvent2ByJX(String wpId,String modelId,Date begin, Date end);

    public List<ShutdownEventVo> queryShutdownEvent2ByDQ(String wpId,String modelId,Date begin, Date end);

    public List<ShutdownEventVo> queryShutdownEvent2ByOther(String wpId,String modelId,Date begin, Date end);
}
